Bug 25832 - Add DataTables to MARC subfield structure admin page for authorities
Summary: Add DataTables to MARC subfield structure admin page for authorities
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-21 14:40 UTC by Katrin Fischer
Modified: 2020-09-04 20:47 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25832: Add DataTables to MARC subfield structure admin page for authorities (3.04 KB, patch)
2020-06-23 11:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25832: Add DataTables to MARC subfield structure admin page for authorities (3.09 KB, patch)
2020-07-03 08:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-06-21 14:40:48 UTC
Same as bug 25471, but for the subfields listed for an authority type (framework)
Comment 1 Owen Leonard 2020-06-23 11:59:25 UTC
Created attachment 106200 [details] [review]
Bug 25832: Add DataTables to MARC subfield structure admin page for authorities

This patch adds DataTables sorting and filtering to the table of
subfields shown on the Authority MARC subfield structure administration
page.

To test, apply the patch and go to Administration -> Authority types.

 - From the 'Actions' menu, select 'MARC structure.'
 - From the 'Actions' menu, select the 'Subfields' link for a tag
   with multiple subfields.
   - On the page showing all the subfields for the tag, confirm that
     the table is sorted by default by subfield and that sorting works
     correctly.
   - Confirm that the search form at the top of the table works.
Comment 2 ByWater Sandboxes 2020-07-03 08:24:55 UTC
Created attachment 106490 [details] [review]
Bug 25832: Add DataTables to MARC subfield structure admin page for authorities

This patch adds DataTables sorting and filtering to the table of
subfields shown on the Authority MARC subfield structure administration
page.

To test, apply the patch and go to Administration -> Authority types.

 - From the 'Actions' menu, select 'MARC structure.'
 - From the 'Actions' menu, select the 'Subfields' link for a tag
   with multiple subfields.
   - On the page showing all the subfields for the tag, confirm that
     the table is sorted by default by subfield and that sorting works
     correctly.
   - Confirm that the search form at the top of the table works.

Signed-off-by: Katrin <katrin.fischer@bsz-bw.de>
Comment 3 Katrin Fischer 2020-08-16 11:57:12 UTC
Retested... still works. Has been sitting for a while and is a simple change. Passing QA.
Comment 4 Jonathan Druart 2020-08-18 15:46:54 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:28:19 UTC
enhancement will not be backported to 20.05.x